org.apache.ignite.internal.processors.query

## Class GridQueryFieldsResultAdapter

- java.lang.Object
- - org.apache.ignite.internal.processors.query.GridQueryFieldsResultAdapter

All Implemented Interfaces:
  GridQueryFieldsResult

    public class GridQueryFieldsResultAdapter
    extends Object
    implements GridQueryFieldsResult

Convenience adapter for `GridQueryFieldsResult`.

### Constructor Summary

Constructors
Constructor and Description
`GridQueryFieldsResultAdapter(@Nullable List<GridQueryFieldMetadata> metaData, GridCloseableIterator<List<?>> it)` Creates query field result composed of field metadata and iterator over queried fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`GridCloseableIterator<List<?>>` `iterator()` Gets iterator over queried fields.
`List<GridQueryFieldMetadata>` `metaData()` Gets metadata for queried fields.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridQueryFieldsResultAdapter

    public GridQueryFieldsResultAdapter(@Nullable
                                        @Nullable List<GridQueryFieldMetadata> metaData,
                                        GridCloseableIterator<List<?>> it)

Creates query field result composed of field metadata and iterator over queried fields.

Parameters:
  `metaData` - Meta data.
  `it` - Result iterator.

### Method Detail

#### metaData

    public List<GridQueryFieldMetadata> metaData()

Gets metadata for queried fields.

Specified by:
  `metaData` in interface `GridQueryFieldsResult`
Returns:
  Meta data for queried fields.

#### iterator

    public GridCloseableIterator<List<?>> iterator()
                                            throws IgniteCheckedException

Gets iterator over queried fields.

Specified by:
  `iterator` in interface `GridQueryFieldsResult`
Returns:
  Iterator over queried fields.
Throws:
  `IgniteCheckedException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020